<!DOCTYPE html>
<html lang="pl" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>[[${pageTitle}]]</title>
  <link rel="stylesheet" th:href="@{/css/style.css}" />
  <link rel="stylesheet"
        th:href="@{https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css}"/>
  <link rel="stylesheet" type="text/css" th:href="@{/webjars/bootstrap/css/bootstrap.min.css}"/>
</head>
<body>
  <div class="container-fluid">

    <form class ="order-form" th:action="@{/orders/save}" method="post" th:object="${order}">
        <input type ="hidden" th:field="*{id}">
        <div class="text-center p-3"><h4>[[${pageTitle}]]</h4></div>
        <div class="form-group row">
          <label class="col-sm-4 col-form-label">Branża:</label>
          <div class="col-sm-8">
            <select th:field="*{industry}" class="form-control" />
              <option value="Architektura">Architektura</option>
              <option value="Geodezja">Geodezja</option>
            </select>
          </div>
        </div>
        <div class="form-group row">
          <label class ="col-sm-4 col-form-label">Rodzaj Pracy:</label>
          <div class ="col-sm-8">
            <input type="text" th:field="*{workType}" class="form-control" required minlength="4" maxlength="100"/>
          </div>
        </div>
        <div class="form-group row">
            <label class ="col-sm-4 col-form-label">Lokalizacja:</label>
            <div class ="col-sm-8">
                <input type="text" th:field="*{location}" class="form-control" required minlength="4" maxlength="100"/>
            </div>
        </div>
        <div class="form-group row">
          <label class ="col-sm-4 col-form-label">Klient:</label>
          <div class ="col-sm-8">
            <input type="text" th:field="*{customer}" class="form-control" required minlength="3" maxlength="100"/>
          </div>
        </div>
        <div class="form-group row">
          <label class ="col-sm-4 col-form-label">Telefon:</label>
          <div class ="col-sm-8">
            <input type="text" th:field="*{phone}" class="form-control" required minlength="9" maxlength="15" oninput="addSpaces(this)"/>
          </div>
        </div>
        <div class="form-group row">
          <label class ="col-sm-4 col-form-label">Email:</label>
          <div class ="col-sm-8">
            <input type="email" th:field="*{email}" class="form-control" required minlength="9" maxlength="45" />
          </div>
        </div>
        <div class="form-group row">
          <label class ="col-sm-4 col-form-label">Koszt:</label>
          <div class ="col-sm-8">
            <div class="input-group">
              <input type="number" th:field="*{cost}" class="form-control" step="0.01" required minlength="2" maxlength="15"/>
              <div class="input-group-addon bg-white p-2">PLN</div>
            </div>
          </div>
        </div>
        <div class="form-group row">
          <label class ="col-sm-4 col-form-label">Data:</label>
          <div class ="col-sm-8">
            <input type="date" th:field="*{date}" class="form-control" />
          </div>
        </div>
        <div style="display: flex; justify-content: center; margin: 3px;">
          <button class="click-button" style="margin-right: 10px; margin-top: 20px;" type="submit">
              <i class="fa-solid fa-check"></i> Zapisz</button>
          <button class="click-button" style="margin-left: 10px; margin-top: 20px;" type="submit"
              onclick="cancelForm()">
              <i class="fa-solid fa-xmark"></i> Anuluj</button>
        </div>
    </form>
  </div>
  <script type="text/javascript">
  function cancelForm() {
    window.location = "[[@{/orders}]]";
  }

  function addSpaces(input) {
    let value = input.value.replace(/\s/g, '');
    let formattedValue = '';

    for (let i = 0; i < value.length; i++) {
      formattedValue += value[i];
      if ((i + 1) % 3 === 0 && i !== value.length - 1) {
       formattedValue += ' ';
      }
    }
     input.value = formattedValue;
    }
  </script>
</body>
</html>